devres_alloc
Prev | Device Resource Management | Next

## Name

devres_alloc — Allocate device resource data

## Synopsis

`void * devres_alloc (` | dr_release_t | release,
| size_t | size,
| gfp_t | gfp`)`;

## Arguments

`release`

  Release function devres will be associated with

`size`

  Allocation size

`gfp`

  Allocation flags

## Description

Allocate devres of `size` bytes. The allocated area is zeroed, then associated with `release`. The returned pointer can be passed to other devres_*() functions.

## RETURNS

Pointer to allocated devres on success, NULL on failure.

Prev | Up | Next
Device Resource Management | Home | devres_free